# Supported Fields

## Mongoengine Fields

- BooleanField

- DecimalField

- DateTimeField

- DictField

- EmailField

- EmbeddedDocumentField

- EmbeddedDocumentListField

- FileField

- FloatField

- GenericReferenceField

- IntField

- LazyReferenceField

- ListField

- LongField

- MapField

- MultiPolygonField

- ObjectIdField

- ReferenceField

- PointField

- PolygonField

- SequenceField

- StringField

- URLField

- UUIDField

## Advanced

- Self-reference relationship

- List of self-reference relationship

- Inheritance field